<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
  <meta charset="UTF-8">
  <title>Мои фильмы</title>
</head>
<body>
<div layout:fragment="content">
  <div class="mt-5">
    <h1>Мои книги</h1>
    <table class="table table-hover mt-3">
      <thead>
      <tr>
        <th scope="col">Фильм</th>
        <th scope="col">Дата аренды фильма</th>
        <th scope="col">Плановая дата возвращения</th>
        <th scope="col">Фактическая дата возвращения</th>
        <th scope="col">Возвращен</th>
        <th scope="col">Период аренды</th>
        <th scope="col"></th>
      </tr>
      </thead>
      <tbody>
      <tr th:each="rent: ${rentFilms}">
        <td>
                    <span th:if="${!rent.getFilmDTO().isDeleted()}">
                     <a class="text-link text-blue" th:href="'/films/' + ${rent.getFilmDTO().getId()}" th:text="${rent.getFilmDTO().getFilmTitle()}"></a>
                    </span>
          <span th:unless="${!rent.getFilmDTO().isDeleted()}" th:text="${rent.getFilmDTO().getFilmTitle()}"></span>
        </td>
        <td th:text="${#temporals.format(rent.getRentDate(), 'dd-MM-yyyy')}"></td>
        <td th:text="${#temporals.format(rent.getReturnDate().plusDays(rent.getRentPeriod()), 'dd-MM-yyyy')}"></td>
        <td>
                    <span th:if="${rent.getReturned()}"
                          th:text="${#temporals.format(rent.getReturnDate(), 'dd-MM-yyyy')}"></span>
          <!--                    <span th:unless="${rent.getReturned() && rent.getReturnDate().isAfter(#temporals.createNow())}" style="color: red"-->
          <!--                          th:text="${#temporals.format(rent.getReturnDate(), 'dd-MM-yyyy')}"></span>-->
        </td>
        <td th:text="${rent.getReturned()} ? 'Да' : 'Нет'"></td>
        <td th:text="${rent.getRentPeriod()} + ' дней'"></td>
        <td>
          <a
                  th:if="!${rent.getReturned()}"
                  th:href="'/rent/return-film/' + ${rent.getId()}"
                  class="btn btn-primary"
                  role="button"
                  aria-disabled="true">Вернуть фильм</a>
        </td>
      </tr>
      </tbody>
    </table>
    <button sec:authorize="isAuthenticated() && (hasRole('ADMIN'))" type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
  </div>

  <nav aria-label="Pagination" th:if="${rentFilms.totalPages gt 0}">
    <ul class="pagination justify-content-center font-weight-bold">
      <li class="page-item" th:classappend="${rentFilms.number eq 0} ? 'disabled'">
        <a class="page-link"
           th:href="@{/rentFilms?page={id}(id=${rentFilms.number lt 2 ? 1 : rentFilms.number})}"
           aria-label="Previous" title="Previous Page" data-toggle="tooltip">
          <span aria-hidden="true">&laquo;</span>
        </a>
      </li>
      <li class="page-item"
          th:each="i : ${#numbers.sequence(1, rentFilms.totalPages, 1)}"
          th:classappend="${i eq rentFilms.number + 1} ? 'active'">
        <a class="page-link" th:href="@{/rentFilms?page={id}(id=${i})}" th:text="${i}"
           th:title="${'Page '+ i}" data-toggle="tooltip"></a>
      </li>
      <li class="page-item" th:classappend="${rentFilms.number eq rentFilms.totalPages - 1} ? 'disabled'">
        <a class="page-link"
           th:href="@{/rentFilms?page={id}(id=${rentFilms.number + 2})}"
           aria-label="Next" title="Next Page" data-toggle="tooltip">
          <span aria-hidden="true">&raquo;</span>
        </a>
      </li>
    </ul>
  </nav>
</div>

</body>
</html>
